org.postgresql.geometric

## Class PGpolygon

- java.lang.Object
- - org.postgresql.util.PGobject
  - - org.postgresql.geometric.PGpolygon

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PGpolygon
    extends PGobject
    implements java.io.Serializable, java.lang.Cloneable

This implements the polygon datatype within PostgreSQL.

See Also:
  Serialized Form

### Field Summary

Fields
`PGpoint[]` `points` The points defining the polygon

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

### Constructor Summary

Constructors
Constructor and Description
`PGpolygon()` Required by the driver
`PGpolygon(PGpoint[] points)` Creates a polygon using an array of PGpoints
`PGpolygon(java.lang.String s)`

### Method Summary

Methods
`java.lang.Object` `clone()` This must be overidden to allow the object to be cloned
`boolean` `equals(java.lang.Object obj)` This must be overidden to allow comparisons of objects
`java.lang.String` `getValue()` This must be overidden, to return the value of the object, in the form required by org.postgresql.
`int` `hashCode()`
`void` `setValue(java.lang.String s)` This method sets the value of this object.

### Methods inherited from class org.postgresql.util.PGobject

`getType, setType, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### points

    public PGpoint[] points

The points defining the polygon

### Constructor Detail

#### PGpolygon

    public PGpolygon(PGpoint[] points)

Creates a polygon using an array of PGpoints

Parameters:
  `points` - the points defining the polygon

#### PGpolygon

    public PGpolygon(java.lang.String s)
              throws java.sql.SQLException

Parameters:
  `s` - definition of the polygon in PostgreSQL's syntax.
Throws:
  `java.sql.SQLException` - on conversion failure

#### PGpolygon

    public PGpolygon()

Required by the driver

### Method Detail

#### setValue

    public void setValue(java.lang.String s)
                  throws java.sql.SQLException

Description copied from class: `PGobject`
This method sets the value of this object. It must be overidden.

Overrides:
  `setValue` in class `PGobject`
Parameters:
  `s` - Definition of the polygon in PostgreSQL's syntax
Throws:
  `java.sql.SQLException` - on conversion failure

#### equals

    public boolean equals(java.lang.Object obj)

Description copied from class: `PGobject`
This must be overidden to allow comparisons of objects

Overrides:
  `equals` in class `PGobject`
Parameters:
  `obj` - Object to compare with
Returns:
  true if the two polygons are identical

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Description copied from class: `PGobject`
This must be overidden to allow the object to be cloned

Overrides:
  `clone` in class `PGobject`
Throws:
  `java.lang.CloneNotSupportedException`

#### getValue

    public java.lang.String getValue()

Description copied from class: `PGobject`
This must be overidden, to return the value of the object, in the form required by org.postgresql.

Overrides:
  `getValue` in class `PGobject`
Returns:
  the PGpolygon in the syntax expected by org.postgresql